Subject: Wanted: Kambouchia (sic?)

From: [email-masked] (Chuck Reisdorf)
Date: 31 Mar 1995 08:54:59 -0600

I have recently heard of a fungal substance called Kambouchia (sic).
It is a living substance of Asian origin that supposedly can cure
every thing from hair loss to obesity. It can only be obtained from
existing Kambouchia fungi that have "babies. I am interested in
obtaining my own Kambouchia Fungus.